# Uses of Class
org.apache.sysds.runtime.compress.estim.AComEst

Packages that use AComEst
Package
Description
org.apache.sysds.runtime.compress.cocode
org.apache.sysds.runtime.compress.estim

## Uses of AComEst in org.apache.sysds.runtime.compress.cocode

Methods in org.apache.sysds.runtime.compress.cocode with parameters of type AComEst
Modifier and Type
Method
Description
`static CompressedSizeInfo`
CoCoderFactory.`findCoCodesByPartitioning(AComEst est, CompressedSizeInfo colInfos, int k, ACostEstimate costEstimator, CompressionSettings cs)`
Main entry point of CoCode.
Constructors in org.apache.sysds.runtime.compress.cocode with parameters of type AComEst
Modifier
Constructor
Description
``
`Memorizer(AComEst sEst)`
``
`MemorizerV2(AComEst sEst, int nCol)`

## Uses of AComEst in org.apache.sysds.runtime.compress.estim

Subclasses of AComEst in org.apache.sysds.runtime.compress.estim
Modifier and Type
Class
Description
`class`
`ComEstCompressed`
`class`
`ComEstCompressedSample`
`class`
`ComEstExact`
Exact compressed size estimator (examines entire dataset).
`class`
`ComEstSample`
Estimate compression size based on subsample of data.
Methods in org.apache.sysds.runtime.compress.estim that return AComEst
Modifier and Type
Method
Description
`static AComEst`
ComEstFactory.`createEstimator(MatrixBlock data, CompressionSettings cs, int k)`
Create an estimator for the input data with the given settings and parallelization degree.
`static AComEst`
ComEstFactory.`createEstimator(MatrixBlock data, CompressionSettings cs, int sampleSize, int k)`
Create an estimator for the input data with the given settings and parallelization degree.